View Issue Details

IDProjectCategoryView StatusLast Update
0007346module PayPal Checkoutmodule PayPal checkout - subpublic2022-09-21 13:55
ReporterFATCHIP 
PriorityhighSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.4 / 1.1.4 
Target VersionFixed in VersionNext Minor PayPal version 
Summary0007346: 3DS for credit card payment
DescriptionSome credit card providers don't allow payment without 3DS anymore.

As far as I know, it isn't implemented into "paypal checkout" jet.

I am referring to:
https://developer.paypal.com/docs/checkout/advanced/customize/3d-secure/#link-dsecure
Steps To ReproduceTry to pay with credit card that doesn't accept payment without 3DS.
Customer feedback was as follows, sadly no further input.

"danke für die Nachricht. Ich habe dies mit der Kreditkartenfirma geprüft und die haben mit gesagt, es sei deswegen abgelehnt worden , weil ihre WEbsite nicht die notwendige online PIN/TAN Abfrage verlangt hat, die heutezutage für derartige Transaktionen üblich/notwendig ist. Die PIN/TAN Abfrage soll mich und Sie davor schützen das Käufe von gestohlenen Karten/Kartennummern getätigt werden. Vielleicht überprüfen Sie dies für die Zukunft."
TagsPayPal

Activities

QA

2022-08-15 14:00

administrator   ~0014039

The 3DSecure procedure for credit card payments is currently not yet implemented.
We will add the 3DS support in the next release.

FATCHIP

2022-09-21 11:58

reporter   ~0014321

Hi OXID,
Is this feature released jet?

last coment by QA was:

2022-08-15 14:00
> The 3DSecure procedure for credit card payments is currently not yet implemented.
> We will add the 3DS support in the next release.

"Produktversion" of this Ticket is at `2.1.4 / 1.1.4`

Module version is at **2.1.6** according to:
https://github.com/OXID-eSales/paypal-module/blob/b-6.3.x/CHANGELOG.md

But I can't find any mentioning of 3DS implementation.

Please verify status of ticket vs. module release version and if 3DS is working in module version **2.1.6**.

---



## [2.1.6] - 2022-08-05

- Set ACDC-Orders first in PayPal-Status "CREATED" / OXID-Order-Status "NOT_FINISHED" and later via Webhook into the right status


## [2.1.5] - 2022-08-01

- admin: better reload after refund
- reset not finished order via webhook
- add Country-Restriction for PayPal Express
- write first captured transaction id to oxorder->oxtransid
- change country-restriction from delivery-country to invoice-country
- allow creditcard worldwide
- remove irritating error message in case last item was purchased


## [2.1.4] - 2022-07-01

- add currencies as requirements (see list on in Documentation)
- fix ACDC-Checkout against PPExpress-Button on Order-Page
- additional allow creditcard in Countries: CA, FR, AU, IT, ES, UK, US
- allow PayLater only for: DE, ES, FR, UK, IT, US, AU
- remove Payment OXXO, Trustly, Boleto, Multibanco
- PUI only allowed in Brutto-Shops (normally B2C)
- Basket-Articles transfered only for PUI-Orders to PayPal

---

Greeting,
Felix

michael_keiluweit

2022-09-21 12:16

administrator   ~0014322

Hi Felix,

The current dev branch ist 6.5.x: https://github.com/OXID-eSales/paypal-module/tree/b-6.5.x#branch-compatibility
The fix is mentioned in the changelog for an upcoming version: https://github.com/OXID-eSales/paypal-module/blob/b-6.5.x/CHANGELOG.md#fixed
That's why this entry is set to "Fixed in version: Next minor PayPal version", which will be the version 1.2.0 / 2.2.0.

Greetings,
Michael